<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:32 CEST 2019 -->
<title>Uses of Interface refinement.model.refinements.Refinements</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface refinement.model.refinements.Refinements";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/class-use/Refinements.html" target="_top">Frames</a></li>
<li><a href="Refinements.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface refinement.model.refinements.Refinements" class="title">Uses of Interface<br>refinement.model.refinements.Refinements</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#refinement.model.refinements">refinement.model.refinements</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#refinement.model.refinements.impl">refinement.model.refinements.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#refinement.model.refinements.util">refinement.model.refinements.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#utils">utils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="refinement.model.refinements">
<!--   -->
</a>
<h3>Uses of <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a> in <a href="../../../../refinement/model/refinements/package-summary.html">refinement.model.refinements</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/package-summary.html">refinement.model.refinements</a> that return <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsFactory.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/RefinementsFactory.html#createRefinements--">createRefinements</a></span>()</code>
<div class="block">Returns a new object of class '<em>Refinements</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="refinement.model.refinements.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a> in <a href="../../../../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a> that implement <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl">RefinementsImpl</a></span></code>
<div class="block">An implementation of the model object
 '<em><b>Refinements</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a> that return <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsFactoryImpl.html#createRefinements--">createRefinements</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="refinement.model.refinements.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a> in <a href="../../../../refinement/model/refinements/util/package-summary.html">refinement.model.refinements.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/util/package-summary.html">refinement.model.refinements.util</a> with parameters of type <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/util/RefinementsSwitch.html" title="type parameter in RefinementsSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsSwitch.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/util/RefinementsSwitch.html#caseRefinements-refinement.model.refinements.Refinements-">caseRefinements</a></span>(<a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Refinements</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="utils">
<!--   -->
</a>
<h3>Uses of <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a> in <a href="../../../../utils/package-summary.html">utils</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../utils/package-summary.html">utils</a> that return <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></td>
<td class="colLast"><span class="typeNameLabel">Utils.</span><code><span class="memberNameLink"><a href="../../../../utils/Utils.html#loadRefinements-org.eclipse.core.resources.IFile-">loadRefinements</a></span>(org.eclipse.core.resources.IFile&nbsp;refinementFile)</code>
<div class="block">Load refinement from IFile.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../utils/package-summary.html">utils</a> with parameters of type <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><span class="typeNameLabel">DifferenceUtils.</span><code><span class="memberNameLink"><a href="../../../../utils/DifferenceUtils.html#refinementIndexOfDifference-refinement.model.refinements.Refinements-org.eclipse.emf.compare.Diff-">refinementIndexOfDifference</a></span>(<a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a>&nbsp;refinements,
                           org.eclipse.emf.compare.Diff&nbsp;diff)</code>
<div class="block">Returns index of refinement with a reference that matches referenceID or
 that valueState contains the entityName of the difference.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/class-use/Refinements.html" target="_top">Frames</a></li>
<li><a href="Refinements.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
